=== debian/changelog ===
ros-indigo-ros-control-boilerplate (0.3.1-0trusty) trusty; urgency=high

  * API deprecation fix for rosparam_shortcuts
  * Switched to better use of rosparam_shortcuts
  * Ability to record all controller status data, not just at certain frequency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.3.0-0trusty) trusty; urgency=high

  * Removed bad reference name
  * Switched to using name_
  * Record error data
  * Disable soft joint limits
  * header to debug output
  * Added error checking of control loops time
  * Fix init() bug
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.2.1-0trusty) trusty; urgency=high

  * Merge branch 'indigo-devel' of github.com:davetcoleman/ros_control_boilerplate into indigo-devel
  * Fix install path
  * Improve user output message
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.2.0-0trusty) trusty; urgency=high

  * Do not automatically call init()
  * Removed warning of joint limits for continous joints
  * Fix missing variable
  * Improved rrbot_control example package
  * Moved rrbot example code into subdirectory
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.1.4-0trusty) trusty; urgency=high

  * Added missing dependency on sensor_msgs
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.1.3-0trusty) trusty; urgency=high

  * Fix catkin lint errors
  * Added FindGflags directly to this repo
  * Minor fix
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.1.2-0trusty) trusty; urgency=high

  * Added dependency on gflags
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.1.1-0trusty) trusty; urgency=high

  * Added travis support
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 07:00:00 -0000

ros-indigo-ros-control-boilerplate (0.1.0-0trusty) trusty; urgency=high

  * Initial release of ros_control_boilerplate
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 07:00:00 -0000
