=== debian/control ===
Source: ros-indigo-ros-control-boilerplate
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-manager, ros-indigo-hardware-interface, ros-indigo-joint-limits-interface, ros-indigo-roscpp, ros-indigo-rosparam-shortcuts, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs, ros-indigo-transmission-interface, ros-indigo-urdf
Homepage: https://github.com/davetcoleman/ros_control_boilerplate
Standards-Version: 3.9.2

Package: ros-indigo-ros-control-boilerplate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-manager, ros-indigo-hardware-interface, ros-indigo-joint-limits-interface, ros-indigo-ros-controllers, ros-indigo-roscpp, ros-indigo-rosparam-shortcuts, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs, ros-indigo-transmission-interface, ros-indigo-urdf
Description: Simple simulation interface and template for setting up a hardware interface for ros_control
